/*
 *  source code metrics counter
 *  Copyright (C) 2015  NEC Corporation.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
package com.nec.ncmeter;

public class NCMMethodLOCData {

    public int floc = 0;

    public int eloc = 0;

    public int cloc = 0;

    public int bloc = 0;

    /**
     * メソッドLOC情報初期化コンストラクタ
     */
    public NCMMethodLOCData() {
        this.floc = 0;
        this.eloc = 0;
        this.cloc = 0;
        this.bloc = 0;
    }

    /**
     * メソッドLOC情報初期化コンストラクタ
     */
    public NCMMethodLOCData(int floc, int eloc, int cloc, int bloc) {
        this.floc = floc;
        this.eloc = eloc;
        this.cloc = cloc;
        this.bloc = bloc;
    }
}
