/*
 *  source code metrics counter
 *  Copyright (C) 2015  NEC Corporation.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef CDMTRCNTOUTPUTXML_H_
#define CDMTRCNTOUTPUTXML_H_

extern int CDMtrCntOutputXMLWriteXMLHeader(void);
extern int CDMtrCntOutputXMLWriteXMLInfomation(_SysLocale *ptSysLocale);
extern int CDMtrCntOutputXMLStructFileToFanOutXMLFile(_TCHAR *pcDirName, _TCHAR *pcFileName, _TCHAR *pcLangName);
extern int CDMtrCntOutputXMLStructFileToOutXMLFile(_TCHAR *pBuffer);
extern int CDMtrCntOutputXMLComOutPrint(FILE *pfile, int inum, ...);
extern int CDMtrCntOutputXMLTagCountinue(FILE *pfile, int start_tag, int end_tag, int iTagType, ...);
extern int CDMtrCntOutputXMLOutPrintUTF(FILE *pcFile, int out_type, int iTagType, int tag_id, void *value);
extern int CDMtrCntOutputXMLOutPrint(FILE *pcFile, int out_type, int iTagType, int tag_id, void *value);
extern int CDMtrCntOutputXMLOutputBasicLineCount(RESULTINFO_FILEITEMS *ptFileItems, RESULTINFO_ITEMS *ptItems, _LINECOUNT *ptCountLines, int iInvalidFlg);
extern int CDMtrCntOutputXMLOutputLineChangeCount(RESULTINFO_FILEITEMS *ptFileItems, RESULTINFO_ITEMS *ptItems, _DIFFLINES *ptDiffLines, int iInvalidFlg);
extern int CDMtrCntOutputXMLCkFileToOutFile(_TCHAR *pBuffer);

#endif
