/*
 *  source code metrics counter
 *  Copyright (C) 2015  NEC Corporation.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef CDMTREXTLINE_H_
#define CDMTREXTLINE_H_

enum LINE_STATUS {
    LINE_STATUS_INIT = 0,
    LINE_STATUS_PREPRO,
    LINE_STATUS_LINECOMMENT,
    LINE_STATUS_BLOCKCOMMENT,
    LINE_STATUS_LINEDOC,
    LINE_STATUS_BLOCKDOC,
    LINE_STATUS_UNDEFPREPRO,
    LINE_STATUS_UNDEFLINE,
    LINE_STATUS_UNDEFSKIP,
    LINE_STATUS_UNDEFCOMMENT,
    LINE_STATUS_UNDEFLINECOMMENT,
};

typedef enum {
    STR_STATUS_INIT = 0,
    STR_STATUS_STRING,
    STR_STATUS_CHAR,
    STR_STATUS_INCLUDE,
} STR_STATUS;

int CDMtrExtLineInitSetComment(const _TCHAR *pcPropFile, const _TCHAR *pcLangType);
int CDMtrExtLineExtractLines(FILE *fin);

#endif
