/*
 *  source code metrics counter
 *  Copyright (C) 2015  NEC Corporation.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef CDMTRLIBCMN_H_
#define CDMTRLIBCMN_H_

void *CDMtrLibCmnMalloc(size_t szLen);
void CDMtrLibCmnFree(void **ppcBuffer);
void CDMtrLibCmnSetTargetName(const char *pcFilePath);
void CDMtrLibCmnClearTargetName(void);
void CDMtrLibCmnLogOut(const char *pFormat, ...);
void CDMtrLibCmnErrLogOut(const char *pFormat, ...);
void CDMtrLibCmnDebugLogOut(int iOutFlg, const char *pFormat, ...);
void CDMtrLibCmnTrcLogOut(const char *pFormat, ...);

#endif
