/*
 *  source code metrics counter
 *  Copyright (C) 2015  NEC Corporation.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#define _CRT_SECURE_NO_WARNINGS
#include <time.h>
#include <string.h>
#include <stdlib.h>

#include "CDMtrLibDateW.h"


/*!
    @brief      擾
*/
_TCHAR *CDMtrLibDateGetTimeW(void)
{
    _TCHAR *pcTime;
    _TCHAR *pcRet;
    time_t tDate;
    int iLen;
    pcRet = NULL;
    time(&tDate);
    pcTime = _tctime(&tDate);
    if (pcTime == NULL) {
        goto FUNC_END;
    }
    iLen = _tcsclen(pcTime);
    pcRet = (_TCHAR *)malloc(iLen * sizeof(_TCHAR));
    if (pcRet == NULL) {
        goto FUNC_END;
    }
    _tcsncpy(pcRet, pcTime, iLen);
    pcRet[iLen - 1] = '\0';
FUNC_END:
    return pcRet;
}
