/*
 *  source code metrics counter
 *  Copyright (C) 2015  NEC Corporation.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#include <windows.h>
#include <wincon.h>
#include <string.h>

#include "CDMtrExtCmn.h"
#include "CDMtrLibSigW.h"

/*!
    @brief          VXenh[o^
*/
int CDMtrLibSigRegHandlerW(type_foo pFunc, type_foo *ppOldFunc)
{
    int iRet = RET_NG;
    if (pFunc == NULL) {
        goto FUNC_END;
    }
    if (SetConsoleCtrlHandler((PHANDLER_ROUTINE)pFunc, TRUE) == 0) {
        goto FUNC_END;
    }
    iRet = RET_OK;
FUNC_END:
    return iRet;
}

/*!
    @brief          VXenh[o^
*/
int CDMtrLibSigDelHandlerW(type_foo pFunc)
{
    int iRet = RET_NG;
    if (pFunc == NULL) {
        goto FUNC_END;
    }
    if (SetConsoleCtrlHandler((PHANDLER_ROUTINE)pFunc, FALSE) == 0) {
        goto FUNC_END;
    }
    iRet = RET_OK;
FUNC_END:
    return iRet;
}
