/*
 *  source code metrics counter
 *  Copyright (C) 2015  NEC Corporation.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef CDMTRCNTFIRSTLINE_H_
#define CDMTRCNTFIRSTLINE_H_

typedef struct tag_FIRSTLINE_INFO {

    _TCHAR *pcFirstLineID;


    _TCHAR *pcFirstLineStr;
} _FIRSTLINE_INFO;

extern void CDMtrCntFirstLineInit(void);
extern void CDMtrCntFirstLineFreeInfo(void);
extern int CDMtrCntFirstLineIsInvalidID(const _TCHAR *pcName);
extern int CDMtrCntFirstLineRegInfo(const _TCHAR *pcAttr , const _TCHAR *pcValue);
extern int CDMtrCntFirstLineStart(const _TCHAR *pcFilePath, int iBinMode);
extern void CDMtrCntFirstLineClear();
extern int CDMtrCntFirstLineCheck(const _TCHAR *pcFirstLineID);
extern int CDMtrCntFirstLineCheckBinary();

#endif
