/*
 *  source code metrics counter
 *  Copyright (C) 2015  NEC Corporation.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */


#ifndef CDMTRVBCMN_H_
#define CDMTRVBCMN_H_

#include "CDMtrVBIface.h"


#define CDMTRVB_TRUE      (1)
#define CDMTRVB_FALSE     (0)


#define CDMTRVB_RET_OK (0)
#define CDMTRVB_RET_NG (-1)


extern ParsesEventFunc *p_method;



void cdmtrVBParsesInit(int iphase);

void cdmtrVBLexerInit(int iphase);

int cdmtrVBCmnInit(PARAM_INFO_T *pparaminfo);

void cdmtrVBCmnFinal();

int cdmtrVBCmnParse(int iphase);

int cdmtrVBCmnOutputFunctionTable();

int cdmtrVBCmnOutputMetricTable();


int cdmtrVBCmnOutputFunctionTable_debug2();

int cdmtrVBCmnOutputMetricTable_debug2();


int cdmtrVBCmnOutputSource_debug2();

void cdmtrVBCmnLog(int idebugmode, char *pFormat, ...);

#endif
